For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTAdd new asset to share
      • POSTAdd reviewers to secure share
      • POSTCreate share
      • DELDelete share
      • GETList share reviewers
      • GETList shares
      • DELRemove asset from share
      • DELRemoves reviewers from secure share
      • GETShow Share
      • PATCHUpdate share

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceShares

Create share

POST
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/shares
POST
/v4/accounts/:account_id/projects/:project_id/shares
1from frameio import Frameio
2from frameio.shares import CreateShareParamsData_Asset
3import datetime
4
5client = Frameio(
6 token="YOUR_TOKEN_HERE",
7)
8
9client.shares.create(
10 account_id="49cf15a5-bfc6-425d-bb3f-a5f6f0523e4a",
11 project_id="2345de0e-0f42-4f0e-9161-47daadf5e946",
12 data=CreateShareParamsData_Asset(
13 access="public",
14 name="Share Name",
15 asset_ids=[
16 "c7e4c050-e317-408e-93f7-0b7a5d098a06",
17 "5e6d07e6-8add-48ec-99e1-2c10e5e1a37b"
18 ],
19 downloading_enabled=True,
20 expiration=datetime.datetime.fromisoformat("2026-05-18T17:24:41.759998+00:00"),
21 passphrase="as!dfj39sd(*",
22 ),
23)
1{
2 "data": {
3 "access": "public",
4 "collection_id": "8fe15161-a1da-49e1-890c-6fe265a8dd60",
5 "commenting_enabled": true,
6 "created_at": "2024-02-02T21:19:24.828948Z",
7 "description": "Description of share",
8 "downloading_enabled": true,
9 "enabled": true,
10 "expiration": "2026-05-18T17:24:41.759998Z",
11 "id": "aa654802-3dfb-44e9-acd2-a63f8db58702",
12 "last_viewed_at": "2024-03-02T21:19:24.828948Z",
13 "name": "Test Share",
14 "short_url": "https://f.io/GGa9wPw5",
15 "updated_at": "2024-02-02T21:19:24.828948Z",
16 "passphrase": "as!dfj39sd(*"
17 }
18}

Create share.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Delete share

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
project_idstringRequiredformat: "uuid"
A UUID String

Request

Share params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error